% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/extend_19_04_20.R
\name{rpms_forest}
\alias{rpms_forest}
\alias{forest}
\title{rpms_forest}
\usage{
rpms_forest(rp_equ, data, weights = ~1, strata = ~1, clusters = ~1,
  e_equ = ~1, bin_size = NULL, perm_reps = 100, pval = 0.25,
  f_size = 200, cores = 1)
}
\arguments{
\item{rp_equ}{formula containing all variables for partitioning}

\item{data}{data.frame that includes variables used in rp_equ, e_equ, 
and design information}

\item{weights}{formula or vector of sample weights for each observation}

\item{strata}{formula or vector of strata labels}

\item{clusters}{formula or vector of cluster labels}

\item{e_equ}{formula for modeling data in each node}

\item{bin_size}{numeric minimum number of observations in each node}

\item{perm_reps}{integer specifying the number of permuations}

\item{pval}{numeric p-value used to reject null hypothesis in permutation 
test}

\item{f_size}{integer specifying the number of trees in the forest}

\item{cores}{integer number of cores to use in parallel if > 1 (not implemented)}
}
\value{
object of class "rpms"
}
\description{
produces a random forest using rpms to create the individual
             trees.
}
